%global srcname m2crypto

Name:           python-%{srcname}
Version:        0.37.1
Release:        1%{?dist}
Summary:        A python mocking framework

License:        MIT
URL:            https://pypi.org/project/M2Crypto/
Source0:        %{pypi_source}

BuildArch:      x86_64

%define debug_package %{nil} 

%global _description %{expand:
M2Crypto is the most complete Python wrapper for OpenSSL featuring RSA, DSA, DH, EC, HMACs, message digests, symmetric ciphers (including AES); SSL functionality to implement clients and servers; HTTPS extensions to Python’s httplib, urllib, and xmlrpclib; unforgeable HMAC’ing AuthCookies for web session management; FTP/TLS client and server; S/MIME; M2Crypto can also be used to provide SSL for Twisted. Smartcards supported through the Engine interface.
}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  openssl-devel
BuildRequires:  swig
Requires:       openssl

%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

# Note that there is no %%files section for the unversioned python module
%files -n python3-%{srcname}
%license LICENCE
%doc README.rst
%{python3_sitearch}/M2Crypto-*.egg-info/
%{python3_sitearch}/M2Crypto/
